import { Injectable } from '@angular/core';
import { Observable } from 'rxjs/Observable';
import { RPCClient } from 'packages/core/rpc/client/RPCClient';
import { DiscoveryStartInfo } from '../model';

@Injectable()
export class DiscoveryService {

  public constructor(
    private rpcClient: RPCClient,
  ) {

  }

  public start(dsInfo: DiscoveryStartInfo): Observable<DiscoveryStartInfo> {

    return this.rpcClient.call('DiscoveryService.startDiscovery', dsInfo);
  }
}
